Page MenuHomePhabricator

If a particular property is only used in a reference or qualifier, then the value does not get linked by authority control gadget
Closed, ResolvedPublic

Description

If a particular property is only used in a reference or qualifier (e.g. not in a main snak), then the value does not get linked by the authority control gadget

Event Timeline

aude created this task.Mar 24 2015, 4:12 PM
aude raised the priority of this task from to Needs Triage.
aude updated the task description. (Show Details)
aude added a project: Wikidata.
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 24 2015, 4:12 PM

I there a real need for this?

aude added a comment.Mar 24 2015, 5:15 PM

@Fomafix not sure how much need there is but no reason for this not to work.

I wasted some time already debugging why the gadget wasn't linking references on test.wikidata. In the end, this bug was the reason and had forgot about this.

The problem is the way property data is fetched (currently via api). It could instead be maintained by a bot, as a json / js page on wiki. Even better solution (imho) would be to have this as a resource loader module provided via Wikibase or another extension. That way, it could utilize more caching and be automatically updated when a property is edited.

Lydia_Pintscher triaged this task as Normal priority.Mar 25 2015, 9:42 AM
Lydia_Pintscher set Security to None.
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Lydia_Pintscher closed this task as Resolved.Aug 23 2015, 6:41 PM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

\o/